@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap");
* {
  margin: 0;
  border: 0;
  padding: 0;
  font-family: "Poppins", serif;
  font-weight: 400;
  font-style: normal;
  box-sizing: border-box;
}
html {
  height: 100%;
  scroll-behavior: smooth;
}
body {
  transition: filter 0.5s ease;
  position: absolute;
  background-color: rgb(0, 0, 0);
  width: 99vw;
  min-height: 100%;
  display: flex;
  flex-direction: column;
}
a {
  color: white;
  text-decoration: none;
}
main {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  /* border: 1px solid red; */
}

main .main {
  background-image: url("assets/images/bgblur.jpg");
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  border: 2px solid black;
  opacity: 0.9;
  z-index: -1;
  display: flex;
  justify-content: center;
  align-items: center;
}
.dark {
  background-color: black;
  width: 100%;
  height: 100%;
  opacity: 50%;
  z-index: -1;
}
nav {
  /* background-color: rgba(71, 13, 146, 0.35); */
  z-index: 1;
  color: white;
  display: flex;
  height: 60px;
  justify-content: space-around;
  align-items: center;
  position: relative;
  width: 80%;
  margin: 0 auto;
}
nav div ul {
  display: flex;
  justify-content: center;
  align-items: center;
}
nav div ul li {
  /* background-color: red; */
  list-style-type: none;
  padding: 0 23px;
  font-size: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
}
nav div ul li a {
  color: rgb(254, 254, 254);
  text-decoration: none;
}
.logo:hover {
  color: #9b91db;
  border-color: #9b91db;
  cursor: pointer;
}

nav div ul li a:hover {
  color: #9b91db;
  cursor: pointer;
}
nav div ul li img:hover {
  filter: invert(0.5);
}

nav div ul li img {
  filter: invert(1);
}
.logo {
  border: 2px solid white;
  border-radius: 1px;
  padding: 7px;
}

.intro {
  position: absolute;
  top: 30%;
  /* border: 2px solid red; */
  border-radius: 30px;
  height: 40vh;
  width: 60%;
  display: flex;
  align-items: center;
  justify-content: space-around;
  /* background-color: rgba(61, 11, 99, 0.393); */
}

.text,
.img {
  /* border: 2px solid green; */
  height: 300px;
  width: 300px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.text {
  color: white;
  font-size: 40px;
  width: 100%;
}

.text :nth-child(2) {
  font-size: 20px;
}
.img img {
  height: 300px;
  border-radius: 70px;
  opacity: 0.7;
}

.typr {
  display: inline-block;
  width: 200px;
}

.typr span {
  font-family: monospace;
  display: block;
  white-space: nowrap;
  border-right: 5px solid;
  width: 100%;
  overflow: hidden;
  animation: typing 1.5s steps(19), cursor 0.75s step-end infinite;
}

@keyframes cursor {
  from,
  to {
    border-color: transparent;
  }
  50% {
    border-color: orange;
  }
}

@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

.divider {
  width: 100%;
  height: 10px;
  background-color: rgb(40 14 86 / 79%);
}

.divider2 {
  width: 100%;
  height: 10px;
  background-color: rgb(47 29 45);
}

.about {
  /* color: white; */
  /* background-color: white; */
  background-image: url("assets/images/image.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  background-position: center -438px;
  opacity: 0.9;
  width: 100%;
  height: 1400px;
  color: white;
}

.about h1 {
  padding: 10px 30px;
  margin-top: 10px;
}

.about p {  
  padding: 10px 150px;
  font-family: "Source Code Pro", serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: 18px;
}
.about h2 {
  padding: 10px 30px;
}

.about .side {
  width: 20%;
  height: 100%;
  /* background-color: blue; */
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  /* border: 2px solid black; */
  background-color: rgba(0, 0, 0, 0.15);
  border-radius: 2px;
  margin: 2px;
  overflow: hidden;
}

.about .abt {
  width: 80%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.bold {
  font-weight: 700;
  color: #ae86f2;
}
.about .abt ul {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.about .abt ul li {
  font-family: "Source Code Pro", serif;
  font-size: 17px;
  list-style-type: "🎯 ";
  list-style-position: inside;
  /* border: 2px solid black; */
  width: 56vw;
  padding: 5px;
  margin: 2px;
}
.side h2 {
  font-size: 30px;
  font-family: "Source Code Pro", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  padding-left: 10px;
  border: 2px SOLID BLACK;
  border-radius: 3px;
  width: 100%;
}
.side ul {
  width: 100%;
}
.side ul li {
  /* text-align: left; */
  height: 50px;
  list-style-type: none;
  padding: 5px 40px;
  font-size: 20px;
  font-family: "Source Code Pro", serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 14px;
  width: 100%;
  padding-left: 10px;
}

.side ul li:hover {
  background-color: rgba(0, 0, 0, 0.365);
  cursor: pointer;
  filter: invert(1);
}

.darklight {
  background-color: black;
  position: absolute;
  width: 100%;
  height: 90vh;
  opacity: 60%;
  z-index: -1;
}

.card {
  background-color: #312a5245;
  height: 315px;
  width: 257px;
  border: 4px solid #1c07318f;
  border-radius: 11px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  justify-content: center;
  gap: 20px;
  padding: 1px;
  transition: 0.3s ease-in-out;
}

.card img {
  width: 120px;
  height: auto;
  border-radius: 10px;
  /* align-self: flex-start; */
  /* margin-top: 5px; */
  opacity: 0.9;
}

.card div {
  height: 60px;
  display: flex;
  align-items: center;
  font-family: "Poppins";
  font-weight: 500;
  font-size: 22px;
  width: 80%;
  text-align: center;
}

.card:hover {
  background-color: #580d7d7d;
  filter: invert(1);
  cursor: pointer;
  opacity: 0.85;
}

.cardset {
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
  max-width: 60vw;
  gap: 40px;
  margin: 30px;
}

form {
  display: flex;
  position: relative;
  justify-content: center;
  background-image: url("assets/images/wallpaperflare.com_wallpaper\(1\).jpg");
  background-size: cover; /* Scales image to cover the entire element */
  background-position: center; /* Centers the image within the element */
  background-repeat: no-repeat;
  /* opacity: 0.1; */
  z-index: 1;
  height: 100vh;
  align-items: center;
}

form .contact {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: rgb(0, 0, 0);
  gap: 30px;
  /* border: 2px solid red; */
  width: 30vw;
  padding: 40px 50px;
  opacity: 0.7;
  font-size: 16px;
  background-color: white;
  margin: 30px;
  border-radius: 2px;
  height: 70%;
}

.contact input[type="text"] {
  height: 57px;
  width: 330px;
  border-radius: 2px;
  padding: 10px;
  border: 3px solid black;
}

.contact textarea {
  padding: 10px;
  width: 330px;
  border-radius: 2px;
  border: 3px solid black;
  padding-top: 30px;
  font-family: monospace;
}

.contact input[type="button"] {
  width: 140px;
  height: 43px;
  margin: 10px;
  border-radius: 4px;
  border: 3px solid black;
  font-size: 17px;
  background-color: #121d31e8;
  color: white;
}

.contact input[type="button"]:hover {
  cursor: pointer;
  background-color: #9d2c73;
}

label {
  position: absolute;
  margin: -9px 10px;
  background-color: rgb(255, 255, 255);
  font-size: 16px;
  font-weight: 600;
  padding: 2px;
}

footer {
  align-items: flex-end;
  background-color: #0c172b;
  text-align: center;
  padding: 10px 30px;
  color: white;
}

footer a {
  color: #9b91db;
  text-decoration: none;
}

footer a:hover {
  color: #385282;
}

/* Smooth scrolling */
body {
  scroll-behavior: smooth;
}

/* Base style for the scrollbar */
::-webkit-scrollbar {
  width: 8px; /* Default width */
}

/* Transparent scrollbar track */
::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0.1); /* Light transparent background */
  border-radius: 10px;
}

/* Semi-transparent thumb */
::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0); /* Slightly transparent thumb */
  border-radius: 10px;
  transition: width 0.2s ease, background-color 0.2s ease; /* Smooth transition */
}

/* Hover and active state for the scrollbar */
::-webkit-scrollbar-thumb:hover,
::-webkit-scrollbar-thumb:active {
  background-color: rgba(172, 161, 161, 0.5); /* Darker on hover */
}

@media (max-width: 1400px){
  form .contact{
    width: 500px;
  }
  .about{
    height: 1600px;
    background-size: cover; /* Scales image to cover the entire element */
    background-position: center; /* Centers the image within the element */
    background-repeat: no-repeat;
  }
}


@media (max-width: 925px) {
  .about .side{
    display: none;
  }
  .about .abt {
    width: 100%;
  }
  .main {display: flex;}
  .cardset {
    max-width: 100%;
    margin: 80px;
  }
  .footer {
    height: 170vhx;
  }
}
@media (max-width: 750px) {
  .about{
    height: 2450px;
  }
  form .contact{
    width: 100%;
  }

  .contact input[type=text] {
    width: 100%;
    height: 50px;
    
  }

  .contact textarea{
    width: 100%;
    height: 100px;
  }

  nav{
    flex-direction: column;
    width: 150px;
  }

  nav div ul {
    flex-direction: column;
    gap: 20px;
    width: 100px;
  }
  nav div ul li a {
    text-align: center;
  }
  .logo{
    margin: 10px;
  }

  .about p{
    padding: 10px;
  }

  .text{
    text-align: center;
  }
}

@media (max-height: 1920px) {
    .contact textarea{
      height: 130px;
    }
}

@media (max-height: 500px){
    form {
      height: 177vh;
    }
}
